/****************************************************************************/
/* GF63 ( ﾘｿｰｽﾏｽﾀ定義 )                                                     */
/*                                                                          */
/* Created : 2021/06/30 16:37:08                                            */
/****************************************************************************/

CREATE TABLE GF63 (
   RESOURCE_ID  NUMBER   (   9 )                                        /*  1 ﾘｿｰｽID    */
 , CDBUN        VARCHAR2 (   3 )                                        /*  2 分類ｺｰﾄﾞ  */
 , CDRSC        VARCHAR2 (  20 )                                        /*  3 ﾘｿｰｽｺｰﾄﾞ  */
 , NAME_JA      VARCHAR2 ( 200 )                                        /*  4 名称      */
 , FUNC         VARCHAR2 (   2 )                                        /*  5 役割      */
 , SU_LOAD      NUMBER   (   5 )                                        /*  6 負荷      */
 , CONTACTS     VARCHAR2 ( 100 )                                        /*  7 連絡      */
 , PHONE        VARCHAR2 (  15 )                                        /*  8 電話      */
 , UNIQ         NUMBER   (   9 )        DEFAULT 0   NOT NULL            /*  9 ﾕﾆｰｸｷｰ    */
 , FGJ          VARCHAR2 (   1 )        DEFAULT '1' NOT NULL            /* 10 状態ﾌﾗｸﾞ  */
 , DYSET        VARCHAR2 (  14 )                                        /* 11 登録日時  */
 , PGSET        VARCHAR2 (  10 )                                        /* 12 作成PG    */
 , PGPSET       VARCHAR2 (  10 )                                        /* 13 作成親PG  */
 , USRSET       VARCHAR2 (  10 )                                        /* 14 作成社員  */
 , DYUPD        VARCHAR2 (  14 )                                        /* 15 更新日時  */
 , PGUPD        VARCHAR2 (  10 )                                        /* 16 更新PG    */
 , PGPUPD       VARCHAR2 (  10 )                                        /* 17 更新親PG  */
 , USRUPD       VARCHAR2 (  10 )                                        /* 18 更新者    */
)
TABLESPACE GETBL01
STORAGE( INITIAL 64K );


CREATE SEQUENCE GF63S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF63T00 
  BEFORE INSERT ON GF63
  FOR EACH ROW 
  BEGIN 
    SELECT GF63S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
